Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.collections.ints
Class IntRadkeHashMap

    java.lang.Object
      edu.emory.mathcs.util.collections.ints.IntRadkeHashMap

All Implemented Interfaces:
  java.lang.Cloneable, IntMap, java.io.Serializable

public class IntRadkeHashMap
extends java.lang.Object
implements IntMap, java.lang.Cloneable, java.io.Serializable

Hash map with int keys. It uses open addressing with quadratic residue search to avoid clustering. No additional memory per entry is needed, there is therefore no memory allocation on put() unless rehashing is required.

Version:
  1.0
Author:
  Dawid Kurzyniec
See Also:
  Serialized Form

Constructor Summary
`IntRadkeHashMap()`
`IntRadkeHashMap(int minInitialCapacity)`
`IntRadkeHashMap(int minInitialCapacity, float loadFactor, float resizeTreshold)`
`IntRadkeHashMap(int minInitialCapacity, int minKey, int maxKey)`
`IntRadkeHashMap(int minInitialCapacity, int minKey, int maxKey, float loadFactor, float resizeTreshold)`
`IntRadkeHashMap(IntMap m)`

Method Summary
`void` | `clear()` Removes all the mappings.
`java.lang.Object` | `clone()`
`boolean` | `containsKey(int key)` Returns true if this map contains mapping for the specified number; false otherwise.
`boolean` | `containsValue(java.lang.Object val)` Returns true if this map contains mapping with the specified value; false otherwise.
`java.util.Set` | `entrySet()` Returns the view of entries in this map, as a Set of IntMap.Entry elements.
`boolean` | `equals(java.lang.Object other)`
`java.lang.Object` | `get(int key)` Retrieves the mapping for the specified number, or null if none.
`int` | `hashCode()`
`boolean` | `isEmpty()` Returns true if this map is empty; false otherwise.
`IntSet` | `keySet()` Returns the view of keys in this map, as a IntSet.
`java.lang.Object` | `put(int key, java.lang.Object value)` Maps specified value to the given int key, and returns the value previously mapped for that key, or null if there were no mapping for that key before.
`void` | `putAll(IntMap map)` Puts all mappings from the specified map into this map.
`java.lang.Object` | `remove(int key)` Removes the mapping for the given key and returns the removed value, or null if there was no mapping for that key.
`int` | `size()` Returns the number of entries in this map.
`int` | `size64()`
`java.lang.String` | `toString()`
`java.util.Collection` | `values()` Returns the read-only view of values in this map, as a Collection.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntRadkeHashMap

    public IntRadkeHashMap()

### IntRadkeHashMap

    public IntRadkeHashMap(int minInitialCapacity)

### IntRadkeHashMap

    public IntRadkeHashMap(int minInitialCapacity,
                           int minKey,
                           int maxKey)

### IntRadkeHashMap

    public IntRadkeHashMap(int minInitialCapacity,
                           float loadFactor,
                           float resizeTreshold)

### IntRadkeHashMap

    public IntRadkeHashMap(int minInitialCapacity,
                           int minKey,
                           int maxKey,
                           float loadFactor,
                           float resizeTreshold)

### IntRadkeHashMap

    public IntRadkeHashMap(IntMap m)

Method Detail

### put

    public java.lang.Object put(int key,
                                java.lang.Object value)

  Description copied from interface: `IntMap`
  Maps specified value to the given int key, and returns the value previously mapped for that key, or null if there were no mapping for that key before.

  Specified by:
    `put` in interface `IntMap`
  Parameters:
    `key` - the key
    `value` - the value
  Returns:
    the value previously mapped to key, or null if none

### get

    public java.lang.Object get(int key)

  Description copied from interface: `IntMap`
  Retrieves the mapping for the specified number, or null if none.

  Specified by:
    `get` in interface `IntMap`
  Parameters:
    `key` - the search key
  Returns:
    the mapping for the specified number, or null if none.

### containsKey

    public boolean containsKey(int key)

  Description copied from interface: `IntMap`
  Returns true if this map contains mapping for the specified number; false otherwise.

  Specified by:
    `containsKey` in interface `IntMap`
  Returns:
    true if this map contains mapping for the specified number; false otherwise.

### remove

    public java.lang.Object remove(int key)

  Description copied from interface: `IntMap`
  Removes the mapping for the given key and returns the removed value, or null if there was no mapping for that key.

  Specified by:
    `remove` in interface `IntMap`
  Parameters:
    `key` - the key to remove the mapping for
  Returns:
    the value mapped to the key

### containsValue

    public boolean containsValue(java.lang.Object val)

  Description copied from interface: `IntMap`
  Returns true if this map contains mapping with the specified value; false otherwise. Usually, this method has a linear complexity.

  Specified by:
    `containsValue` in interface `IntMap`
  Returns:
    true if this map contains mapping with the specified value; false otherwise.

### clear

    public void clear()

  Description copied from interface: `IntMap`
  Removes all the mappings.

  Specified by:
    `clear` in interface `IntMap`

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `IntMap`
  Returns true if this map is empty; false otherwise.

  Specified by:
    `isEmpty` in interface `IntMap`
  Returns:
    true if this map is empty; false otherwise.

### size

    public int size()

  Description copied from interface: `IntMap`
  Returns the number of entries in this map.

  Specified by:
    `size` in interface `IntMap`
  Returns:
    the number of entries in this map.

### size64

    public int size64()

### putAll

    public void putAll(IntMap map)

  Description copied from interface: `IntMap`
  Puts all mappings from the specified map into this map.

  Specified by:
    `putAll` in interface `IntMap`
  Parameters:
    `map` - the map to copy the mappings from.

### keySet

    public IntSet keySet()

  Description copied from interface: `IntMap`
  Returns the view of keys in this map, as a IntSet. The view is backed by this map. Supports removals.

  Specified by:
    `keySet` in interface `IntMap`
  Returns:
    the key set view of this map

### entrySet

    public java.util.Set entrySet()

  Description copied from interface: `IntMap`
  Returns the view of entries in this map, as a Set of IntMap.Entry elements. The view is backed by this map. Supports removals, and value changes via entry.setValue().

  Specified by:
    `entrySet` in interface `IntMap`
  Returns:
    the entry set view of this map

### values

    public java.util.Collection values()

  Description copied from interface: `IntMap`
  Returns the read-only view of values in this map, as a Collection. The view is backed by this map.

  Specified by:
    `values` in interface `IntMap`
  Returns:
    the value view of this map

### equals

    public boolean equals(java.lang.Object other)

  Specified by:
    `equals` in interface `IntMap`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `IntMap`

### clone

    public java.lang.Object clone()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD